FROM corex:3.2.1

WORKDIR /workspace
COPY GPT-SoVITS constraints_gsv.txt gsv_server.py launch_gsv.sh /workspace/
RUN pip install -r GPT-SOVITS/extra-req.txt --no-deps \
    && pip install -r GPT-SoVITS/requirements.txt -c constraints_gsv.txt \
    && apt update \
    && apt install -y ffmpeg libsox-dev

ENTRYPOINT ["/bin/bash", "launch_gsv.sh"]
